<?php
include "./libchart-1.2.1/libchart/classes/libchart.php";
include "./config.php";

   $link = mysqli_connect($config['dbhost'], $config['dbuser'], $config['dbpass'],$config['dbname'])
           or die('Could not connect: ' . mysqli_error($link));

   // output current or requested statistics
   $dataSet = new XYDataSet();

   $query = "select count(*), channel from media group by channel ORDER BY count(*);";
   $result = $link->query($query) or die('Query failed: ' . mysqli_error($link));
   $c=0;
   $nrows = mysqli_num_rows($result);
   while ($line = mysqli_fetch_array($result)) {
      $dataSet->addPoint(new Point($line[1], $line[0]));
      $channels[$c]=$line[1];
      $c++;
   }

   $chart = new HorizontalBarChart(600, 25*$c);
   $chart->setDataSet($dataSet);
   $chart->getPlot()->setGraphPadding(new Padding(5, 30, 20, 140));
   $chart->setTitle("GISS video archives contents ( dmmdb )");

   $chart->render("./tmp/chanlist.png");

   mysqli_close($link);

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title>G.I.S.S. dmmdb contents</title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
</head>
<body>
<?php
   print "
   <table border=0 width=100%>
   <tr><td rowspan=".($c+1)." width=620>
   <img alt='GISS dmmdb contents'  src='./tmp/chanlist.png' style='border: 1px solid gray;'/>
   </td>
   <td align=left>
   <table border=0>
   <tr><td></td></tr>";
   for ($i=$c-1; $i>=0; $i--)
   {
      print "<tr><td align=left><a href=\"index.php?channel=$channels[$i]\"><font size=+1>dmmdb : $channels[$i]</font></td></tr>\n";
   }
   print "
   </table>
   </td>
   </tr>
   </table>
   </body>
   </html>";
?>
</body>
</html>
