<?php 

if (file_exists("config.php")) include_once("config.php");

// use this pathes and/or define the pathes for the "standard" pages
define("CLASS_PATH", dirname($_SERVER['PHP_SELF'])."/"); // the location where the class is executed
define("APPLICATION_PATH", $config['siteurl']);
define("SITE", $config['siteurl']);

// modify these constants to fit your environment
define("DB_SERVER", $config['dbhost']);
define("DB_NAME", $config['dbname']);
define ("DB_USER", $config['dbuser']);
define ("DB_PASSWORD", $config['dbpass']);

// these are the names for the standard table names
// !!! Important
// It's possible that your server doesn't allow the database name inside a query
// if this forms a problem don't use them here and unescape the mysqli_select_db() function
// inside the connect_db() method.
define("USER_TABLE", DB_NAME.".users"); 
define("PROFILE_TABLE", DB_NAME.".users_profile");
define("COUNTRY_TABLE", DB_NAME.".countries"); // an optional table with countruy names and codes

// variables (locations) standard pages (combine the pathes from the top or use your own)
define("LOGIN_PAGE", CLASS_PATH."login.php");
define("START_PAGE", CLASS_PATH."ok.php");
define("ACTIVATE_ACOUNT_PAGE", APPLICATION_PATH."activate_acount.php");
define("ACTIVE_PASS_PAGE", APPLICATION_PATH."activate_password.php");
define("DENY_ACCESS_PAGE", APPLICATION_PATH."deny_access.php");
define("ADMIN_PAGE", APPLICATION_PATH."admin_user.php");
// your path must be related to the site root.
 
// change this constants to the right mail settings
define("WEBMASTER_MAIL", $config['webmastermail']); 
define("WEBMASTER_NAME", $config['webmastermail']); 
define("ADMIN_MAIL", $config['adminmail']); 
define("ADMIN_NAME", $config['adminmail']); 
define("LANGUAGE", $config['language']);

// change this vars if you need...
define("PW_LENGTH", 4);
define("LOGIN_LENGTH", 4);

define("COOKIE_NAME", $config['siteurl']."user"); 
define("COOKIE_PATH", APPLICATION_PATH);
define("MIN_ACCESS_LEVEL", 1);
define("MAX_ACCESS_LEVEL", 10);
define("DEFAULT_ACCESS_LEVEL", 10);
define("DEFAULT_ADMIN_LEVEL", 10);
define("AUTO_ACTIVATION", $config['auto_activation']);
define("SEND_COPY", $config['send_copy']);

//////////////////////////////////////////////////
// constants and field names user profile table //
/////////////////////////////////////////////// //
// stamdard fields are: address, postcode, city, country, phone, fax, homepage, textfield
// variables must match your user profile table design
// use this four user defined fields (type varchar(100) too
// change the value of a constant but change them in the mysql table too
// otherwise you wil get some ERROR'S !!!
define("TBL_USERFIELD_1", "user_1");
define("TBL_USERFIELD_2", "user_2");
define("TBL_USERFIELD_3", "user_3");
define("TBL_USERFIELD_4", "user_4");

?>
