<?php

include_once("../config.php");
require("../language/".$config['language']."/main.php");
include_once("../functions.php");
include_once("../modules/video/admin/reencode.php");

$channel = $_GET['channel'];
$user  = $_GET['user'];
$auto  = $_GET['auto'];

$ArrVideos = null;
$ArrInfos = null;
$DOMNode = null;
$start_at = 0;
$counter = 0;
  
function video2assoc($xml,&$row,$counter) {
     $num=-1;

     while (@$xml->read()) {
      if (!$xml->hasValue && ( $xml->name == 'video' ) && ( $xml->nodeType != XMLReader::END_ELEMENT ) )
      {
	$num++;
      }
      if ($xml->hasValue && ( $xml->nodeType != XMLReader::SIGNIFICANT_WHITESPACE ) ) 
      {
        switch ($tag) {
           case "id":
              $row[$counter+$num]['id'] = $xml->value;
              break;
           case "title":
              $row[$counter+$num]['title'] = $xml->value;
              break;
        }
      }
      else
      {
        $tag=$xml->name;
      }
    }

    return $num+1;
}

function infos2assoc($xml,&$row,$counter) {
     $num=-1;

     while (@$xml->read()) {
      if (!$xml->hasValue && ( $xml->name == 'user' || $xml->name == 'channel' ) && ( $xml->nodeType != XMLReader::END_ELEMENT ) )
      {
	$num++;
      }
      if ($xml->hasValue && ( $xml->nodeType != XMLReader::SIGNIFICANT_WHITESPACE ) ) 
      {
        switch ($tag) {
           case "name":
              $row[$counter+$num]['name'] = $xml->value;
              break;
           case "display_name":
              $row[$counter+$num]['name'] = $xml->value;
              break;
        }
      }
      else
      {
        $tag=$xml->name;
      }
    }

    return $num+1;
}

error_log( "import : channel :".$channel );

$brssurl='';
if ( $channel != '' )
{
  $brssurl="http://vimeo.com/api/v2/channel/".$channel."/videos.xml";
}
if ( $user != '' )
{
  $brssurl="http://vimeo.com/api/v2/".$user."/videos.xml";
}
if ( $brssurl == '' )
{
  echo "<table border=2 style='color:red'><tr><td>no channel nor user defined ... exiting</td></tr></table>";
  exit(-1);
}

// get user name
$username='';
if ( $channel != '' )
{
  $irssurl="http://vimeo.com/api/v2/channel/".$channel."/info.xml";

  $xml = new XMLReader();
  if (@$xml->open($irssurl))
  {
    $start_at = infos2assoc($xml,$ArrInfos,$start_at);
  }
  else
  {
    error_log( "import : couldn't get rss :".$rssurl );
  }
  $xml->close();

  if ( $start_at > 0 )
  {
     $username = strtolower($ArrInfos[0]['name']);
  }
}
if ( $user != '' )
{
  $irssurl="http://vimeo.com/api/v2/".$user."/info.xml";

  $xml = new XMLReader();
  if (@$xml->open($irssurl))
  {
    $start_at = infos2assoc($xml,$ArrInfos,$start_at);
  }
  else
  {
    error_log( "import : couldn't get rss :".$rssurl );
  }
  $xml->close();

  if ( $start_at > 0 )
  {
     $username = strtolower($ArrInfos[0]['name']);
  }
}
if ( $username == '' )
{
  echo "<table border=2 style='color:red'><tr><td>no username found ... exiting</td></tr></table>";
  exit(-1);
}

$start_at = 0;
$countall = 0;

for ($page=1;$page<5;$page++)
{
  $rssurl=$brssurl."?page=".$page;
  error_log( "import : getting rss :".$rssurl );

  $xml = new XMLReader();
  if (@$xml->open($rssurl))
  {
    $start_at = video2assoc($xml,$ArrVideos,$countall);
    $countall += $start_at;
  }
  else
  {
    error_log( "import : couldn't get rss :".$rssurl );
  }
  $xml->close();

  error_log( "import : found : ".$start_at." videos" );
}
$counter = count($ArrVideos);
error_log( "import : total : ".$counter." videos" );

echo "<html>";
echo "<head>";
echo "<meta http-equiv='Content-Type' content='text/html; charset=utf-8'>";
echo "</head>";
echo "<body>";

echo "<table border=2 style='color:green'><tr><td>found ".$counter." videos.</td></tr></table>";

echo "<table border=2 style='color:green'>";

$count=0;

foreach ($ArrVideos as $rowVI) {

  $count++;
  $query="SELECT ID FROM media WHERE title='".$rowVI['title']."';";
  $resultVIM = db_query ($query);
  $nbresult = mysqli_num_rows($resultVIM);

  if ( $nbresult == 0 )
  {
    echo "<tr><td>".$count."</td><td>".$rowVI['title']."</td><td><a href='".$config['siteurl']."/import/importvimeo.php?ID=".$rowVI['id']."&user=".$username."'>Import video</a></td><td><a target='_blank' href='http://vimeo.com/".$rowVI['id']."'>View</a></td></tr>";
    if ( $auto == 'y' )
    {
       error_log("import : getting video : ".$rowVI['id']." for user : ".$username );
       $getcommand = "wget -O - --user telenoika --password telenoi ".$config['siteurl']."/import/importvimeo.php?ID=".$rowVI['id']."\\&user=".$username." 2>/dev/null";
       error_log( $getcommand  );
       $result = `$getcommand`;

       $queryVID = "SELECT ID FROM media WHERE filename=\"vimeo-".$username."-".$rowVI['id'].".mp4\"";
       $resultVID = db_query($queryVID);
       $rowVID = mysqli_fetch_row($resultVID);
       $VID=$rowVID[0];
       error_log( "import : reencoding ID : ".$VID );

       reencode( $VID, 'n' );
    }
  }

  if ( $nbresult == 1 )
  {
    echo "<tr><td>".$count."</td><td>".$rowVI['title']."</td><td><a href='".$config['siteurl']."/import/reimportvimeo.php?ID=".$rowVI['id']."&user=".$username."'>Reimport video</a></td><td><a target='_blank' href='http://vimeo.com/".$rowVI['id']."'>View</a></td></tr>";
  }
}

echo "</table>";

echo "</body>";
echo "</html>";
?>
