<?php

include_once("../config.php");
require("../language/".$config['language']."/main.php");
include_once("../functions.php");

$ID = $_GET['ID'];
$user  = $_GET['user'];

$ArrVideos = null;
$start_at = 0;
$counter = 0;
  
function video2assoc($xml,&$row,$counter) {
     $num=-1;

     while (@$xml->read()) {
      if (!$xml->hasValue && ( $xml->name == 'video' ) && ( $xml->nodeType != XMLReader::END_ELEMENT ) )
      {
	$num++;
      }
      if ($xml->hasValue && ( $xml->nodeType != XMLReader::SIGNIFICANT_WHITESPACE ) ) 
      {
        switch ($tag) {
           case "id":
              $row[$counter+$num]['id'] = $xml->value;
              break;
           case "title":
              $row[$counter+$num]['title'] = $xml->value;
              break;
           case "description":
              $row[$counter+$num]['description'] = $xml->value;
              break;
           case "upload_date":
              $row[$counter+$num]['updated'] = $xml->value;
              break;
           case "user_name":
              $row[$counter+$num]['artist'] = $xml->value;
              break;
           case "thumbnail_large":
              $row[$counter+$num]['framestill'] = $xml->value;
              break;
           case "stats_number_of_plays":
              $row[$counter+$num]['viewed'] = $xml->value;
              break;
           case "stats_number_of_likes":
              $row[$counter+$num]['votes'] = $xml->value;
              break;
           case "duration":
              $row[$counter+$num]['duration'] = $xml->value;
              break;
           case "tags":
              $row[$counter+$num]['keywords'] = $xml->value;
              break;
        }
      }
      else
      {
        $tag=$xml->name;
      }
    }

    return $num+1;
}

if ( $user == '' || $ID == '' )
{
  echo "<table border=2 style='color:red'><tr><td>no channel nor user defined ... exiting</td></tr></table>";
  exit(-1);
}


$start_at = 0;
$rssurl="http://vimeo.com/api/v2/video/".$ID.".xml";

$xml = new XMLReader();
if (@$xml->open($rssurl))
{
  $start_at = video2assoc($xml,$ArrVideos,$start_at);
}
else
{
  error_log( "couldn't get rss :".$rssurl );
}
$xml->close();

$counter = count($ArrVideos);

echo "<html>";
echo "<head>";
echo "<meta http-equiv='Content-Type' content='text/html; charset=utf-8'>";
echo "
      <script>
      var dotTO;

      function addreport( text )
      {
        if (document.getElementById('ajax_report'))
        {
           document.getElementById('ajax_report').innerHTML+=text;
        }
      }
      function clearreport( text )
      {
        if (document.getElementById('ajax_report'))
        {
           document.getElementById('ajax_report').innerHTML+='';
        }
      }
      function adddot( )
      {
        if (document.getElementById('ajax_report'))
        {
           document.getElementById('ajax_report').innerHTML+='.';
        }
        dotTO=setTimeout('adddot()', 5000);
      }
      </script>\n
      <script type='text/javascript' src='".$config['siteurl']."/js/jquery.min.js'></script>\n
      ";
echo "</head>";
echo "<body>";

echo "<table border=2 style='color:green'><tr><td>importing ".$counter." video.</td></tr></table>";


foreach ($ArrVideos as $rowVI) 
{
echo "<table border=2 style='color:green'>";

  echo "<tr><td>".$rowVI['title']."</td></tr>";
  echo "<tr><td><div id='ajax_report'></div></td></tr>";

echo "</table>";
echo "<script> addreport(\"<span style='color:green'> getting file for : ".$rowVI['id']."....\"); </script>";

$getcommand=$config['rootdir']."/import/vimeo-dl.pl ".$rowVI['id'];
error_log( $getcommand );

`$getcommand`;
$dfile="vimeo-".$user."-".$rowVI['id'].".mp4";
error_log( "got : ".$dfile );

echo "<script> addreport(\"..done <span><br>\"); </script>";

echo "<script> addreport(\"<span style='color:green'> getting thumbnail for : ".$rowVI['id']."....\"); </script>";

$d_pos=strrpos($rowVI['framestill'], '/');
$tfile=substr($rowVI['framestill'], $d_pos+1 );
error_log( "getting : ".$tfile );

$getcommand="wget ".$rowVI['framestill']." -O ".$tfile." 2>/dev/null";
error_log( $getcommand );
`$getcommand`;

echo "<script> addreport(\"..done <span><br>\"); </script>";

echo "<script> addreport(\"<span style='color:green'> moving files : ....\"); </script>";

error_log( "moving ".$dfile.",".$tfile );
rename($rowVI['id'].".mp4", $config['upload_dir']."/$dfile");
rename($tfile, $config['upload_dir']."/$tfile");

echo "<script> addreport(\"..done <span><br>\"); </script>";

echo "<script> addreport(\"<span style='color:green'> inserting into the database : ....\"); </script>";

$queryVID = "SELECT ID FROM media WHERE filename=\"".$dfile."\"";
$resultVID = db_query($queryVID);
$rowVID = mysqli_fetch_row($resultVID);
$VID=$rowVID[0];
error_log( "got ID : ".$VID );

$queryVID = "UPDATE media SET title=\"".$rowVI['title']."\", framestill=\"contents/".$tfile."\", artist=\"".$rowVI['artist']."\", category=\"vimeo\", emited=\"".$rowVI['updated']."\", published=\"".$rowVI['updated']."\", sinopsi=\"".$rowVI['description']."\", keywords=\"".$rowVI['keywords']."\", credits=\"".$rowVI['keywords']."\" WHERE ID=".$VID.";";
error_log( $queryVID );
db_query($queryVID);

$queryVID = "UPDATE favorites SET votes=".$rowVI['votes']." WHERE ID=".$VID.";";
db_query($queryVID);

echo "<script> addreport(\"..done <span><br>\"); </script>";

echo "<script> addreport(\"<span style='color:green'> encoding videos ( this might take some time )  : ....\"); </script>";
echo "<script>   

      $.ajax({
         type: 'GET',
         url: '".$config['siteurl']."/import/encodevimeo.php?VID=".$VID."',
         success: function() {
             clearTimeout ( dotTO );
             addreport(\"..done <span><br>\");
         },
         error: function(request, status, err) {
             addreport(\"..error <span><br>\");
         }
      });
      dotTO=setTimeout('adddot()', 5000);

     </script>";
}

echo "</body>";
echo "</html>";
?>
