<?php
/*index.php - This script builds the main page of the site - first gets the channel for which we want to build the index (via GET or mod_rewrite) - loads css, some javascripts, the header module (which builds the personalized header of the requested channel), and then loads any block's actives for this channel
ALso can be used to load a page of a module using the "mod" GET variable*/

/*include configuration, the user class declaration and the language files.*/
include ("config.php"); 
include ("classes/access_user/access_user_class.php");
include ("functions.php");
include ("language/".$config['language']."/main.php"); // this path works for me...

/*Acces user*/
$page_protect = new Access_user;
//$page_protect->access_page(); // only set this this method to protect your page
$page_protect->get_user_info();
$hello_name = $page_protect->user;
if ($page_protect->access_level == 10) $isadmin=1; else $isadmin=0; //are you an admin

/*What channel are we going to show?*/
if (empty($_GET['channel'])) $channel = $config['default_channel'];
else $channel = $_GET['channel'];

/*select channel info and format it*/
$resultNWT = db_query ("SELECT ID FROM media WHERE channel=\"$channel\" ORDER BY published DESC LIMIT 1;");
$row = mysqli_fetch_row($resultNWT); 

$ID=$row[0];
if ( empty($ID) ) $ID=-1;

if ( !empty($_GET['ID']) ) 
{
   $ID=$_GET['ID'];
}
else
{
   $_GET['ID']=$ID;
}

print "<html>
<head>";

?>

<title>Distributed Multimedia Data Base</title>

<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link href="style/estilo-base.css" rel="stylesheet" type="text/css">
<link href="style/dmmdb05.css" rel="stylesheet" type="text/css">
<link href="style/dmmdb_content.css" rel="stylesheet" type="text/css">
<link rel="shortcut icon" href="img/favicon.ico">
<link rel="alternate" type="text/xml" title="RSS .92" href="<?php print $config['siteurl']?>/rss.php" />

<?php include_once($config['rootdir']."/js/dmmdb.php"); ?>

</head>

<body class=main>

<script type="text/javascript">

var ID=<?php print $ID ?>;
var cid=0;
var orgsite='<?php print $config['siteurl'] ?>';

</script>

<script type="text/javascript" src="jscripts/wz_tooltip.js"></script>
<script type="text/javascript" src="js/jquery.min.js"></script>

<!-- inici capçalera -->
<table width="100%" border=0 cellpadding=0 cellspacing=0>
  <tbody>
    <tr>
      	<td height="6" valign="middle" class=lineanegre></td>
    </tr>
    <tr>
      	<td height=1 class=lineanegre width="770"></td>
    </tr>
</table>

<?php include ($config['rootdir'].'modules/index/block/header.php');?>

<!-- fi capçalera -->

<?php

/*Show the active blocks for this channel*/

$mod='';
if (!empty($_GET['mod'])) $mod = $_GET['mod'];
else if (!empty($_POST['mod'])) $mod = $_POST['mod'];

if ($mod != "") {
  include ($config['rootdir'].'modules/'.$mod.'/index.php');
} else {
  show_blocks($channel,$ID);
}

/*Include page footer*/ 
include ($config['rootdir'].'modules/index/block/footer.php');
?>
