<?php 
/*login.php - this script shows thw login form and process it, creting a user session if the login is correct*/
include("config.php");
include("classes/access_user/access_user_class.php"); 
require($config['rootdir']."/language/".$config['language']."/main.php"); // this path works for me...

$my_access = new Access_user;
$my_access->login_reader();

// $my_access->language = "de"; // use this selector to get messages in other languages
if (isset($_GET['activate']) && isset($_GET['ident'])) { // this two variables are required for activating/updating the account/password
	//$my_access->auto_activation = false; // use this (true/false) to stop the automatic activation
	$my_access->activate_account($_GET['activate'], $_GET['ident']); // the activation method 
}

if (isset($_GET['validate']) && isset($_GET['id'])) { // this two variables are required for activating/updating the new e-mail address
	$my_access->validate_email($_GET['validate'], $_GET['id']); // the validation method 
}

if (isset($_POST['Submit'])) {
	$my_access->save_login = (isset($_POST['remember'])) ? $_POST['remember'] : "no"; // use a cookie to remember the login
	$my_access->count_visit = true; // if this is true then the last visitdate is saved in the database
	$my_access->login_user($_POST['login'], $_POST['password']); // call the login method
        error_log( "login user" );
} 

$error = $my_access->the_msg; 

?>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title></title>
<link href="style/estilo-base.css" rel="stylesheet" type="text/css">
<link href="style/dmmdb05.css" rel="stylesheet" type="text/css">
<link href="style/dmmdb_content.css" rel="stylesheet" type="text/css">

<style type="text/css">body {background-image: url(img/transparent.gif)}</style>

<?php if (!empty($_GET['initmessage'])) {?>
<script>
	var divElement = parent.document.getElementById('logindiv'");
	if (divElement != null)
	{
		divElement.height=89;
	}
</script>
<?php } else { ?>
<script>
	var divElement = parent.document.getElementById('logindiv');
	if (divElement != null)
	{
		divElement.height=71;
	}
</script>
<?php }?>

</head>

<body class=main>
<?php if (!empty($_GET['initmessage'])) echo "<span class=texte><b>".$_GET['initmessage']."</b></span>";?>

<form name="form1" method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>" style="{padding:0;margin:0;}">
  <table width=100% class=texte cellpadding=0 cellspacing=0 border=0 >
  	<tr><td>
        <table width=100% class=texte cellpadding=0 cellspacing=0 border=0 > 
  	<tr>
		<td align=center colspan=3><span class="texte"><?php if (isset($error)) echo "<font color=red><b>".$error."</font>" ?></td>	
	</tr>
  	<tr>
		<td colspan=3 height=3><img src=img/transparent.gif height=3 border=0></td>
	</tr>
  	<tr>
	   <td class=texte><label for="login"><?php echo $text['username']?></label> <input class="forma" type="text" name="login" size="17" value="<?php echo (isset($_POST['login'])) ? $_POST['login'] : $my_access->user; ?>"></td>
  	   <td class=texte><label for="password"><?php echo $text['password']?></label> <input class="forma" type="password" name="password" size="8" value="<?php echo (isset($_POST['password'])) ? $_POST['password'] : $my_access->user_pw; ?>"></td>
  	   <td align=right><input class="forma" type="submit" name="Submit" value="<?php echo $text['login']?>"></td>
	</tr>
        </table>
  </td></tr>
  <tr><td>
        <table width=100% cellpadding=0 cellspacing=0 border=0 align=right>
  	<tr>
	   <td align=left colspan=2><span class="texte"><?php echo "<a href=\"./register.php?logindiv=logindiv\">".$text['link_register']."</a>"; ?></td>	
	   <td align=right><span class="texte"><label for="remember"><?php echo $text['remember']?></label><input type="checkbox" name="remember" value="yes"<?php echo ($my_access->is_cookie == true) ? " checked" : ""; ?>> </td>
	</tr>
  	<tr>
	   <td align=left colspan=2><span class="texte"><a href="./forgot_password.php"><?php echo $text['forgot_passwd']?></a></span></td>
	</tr>
        </table>
  </td>
</tr>
</table>

</form>
</body>
</html>
