<?php

if ( strstr(getcwd(), "module") != "" )
{
  include("../../../config.php");
}
else
{
  include("config.php");
}

include($config['rootdir']."/language/".$config['language']."/main.php"); // this path works for me...
include_once($config['rootdir']."/functions.php");
include_once($config['rootdir']."/js/dmmdb.php");

if ( !empty($_GET['ID']) )
{
  $ID=$_GET['ID'];
}

if ( !empty($_GET['channel']) )
{
  $channel=$_GET['channel'];
}

if( !empty($_GET['block_width']) )
{
  $block_width=$_GET['block_width'];
}

if( !empty($_GET['align']) )
{
  $align=$_GET['align'];
}

if ( !empty($_GET['standalone']) && $_GET['standalone'] == 1)
{
  $standalone=1;
}
else
{
  $standalone=0;
}

// can be called without ID and then default to the first video
if ( !$ID )
{
  /*select channel info and format it*/
  $resultNWT = db_query ("SELECT ID FROM media WHERE channel='$channel' ORDER BY published DESC LIMIT 1;");
  $row = mysqli_fetch_row($resultNWT);
  $ID=$row[0];
}

// necessary utilities in standalone mode
if ( $standalone == 1 )
{
print "<html><head>
<link href='".$config['siteurl']."/style/estilo-base.css' rel='stylesheet' type='text/css'>
<link href='".$config['siteurl']."/style/dmmdb05.css' rel='stylesheet' type='text/css'>
<link href='".$config['siteurl']."/style/dmmdb_content.css' rel='stylesheet' type='text/css'>
</head>
<body>
";
}

$resultNWT = db_query ("SELECT title, filename, ID, emited, framestill, category, sinopsi, artist, credits, keywords, video_dataformat, viewed, downloads, playtime_seconds FROM media WHERE ID=$ID;");
$nmedia = mysqli_num_rows($resultNWT);

echo "
<style type='text/css'>
#audio-player {
  position: relative;
  left: 0%;
  width: 100%;
  z-index: 100;
}
#audio-image {
  height: 342px;
  top: 0px;
}
#audio-cursor {
  position: absolute;
  top: 0px;
  display: none;
  height: 322px;
  width: 2px;
  background-color: #ff0000;
}
#audio-time {
  position: absolute;
  top: 0px;
  display: none;
  height: 20px;
  width: 50px;
  text-size: 16px;
  color: #ff0000;
}

</style>
";

if ( $nmedia > 0 || ( $ID==-1 ) ) 
{
  $row = mysqli_fetch_row($resultNWT); 
  $titol   = $row[0];

  $d_pos=strrpos($row[1], '.');
  $extension=substr($row[1], $d_pos+1, 3 );

  if ( file_exists( $config['upload_dir'].filename_ol($row[1], 'webm') ) )
  {
    $row[1] = filename_ol($row[1],'webm');
    $extension = 'webm';
  }
  else if ( file_exists( $config['upload_dir'].filename_ol($row[1], 'ogg') ) )
  {
    $row[1] = filename_ol($row[1],'ogg');
    $extension = 'ogg';
  }
  else if ( file_exists( $config['upload_dir'].filename_ol($row[1], 'flv') ) )
  {
    $row[1] = filename_ol($row[1],'flv');
    $extension = 'flv';
  }
  $url = $row[1];
  if ( file_exists( $config['upload_dir'].filename_ol($row[1], 'mp4') ) )
  {
    $murl = filename_ol($row[1],'mp4');
  }
  else
  {
    $murl = '';
  }

  if ( $ID != -1 ) $ID = $row[2];
  if (!$_GET['ID']) $_GET['ID'] = $ID;
  echo "<script>ID=".$ID.";</script>";
  $emited  = $row[3];
  $still   = $row[4];
  $s_pos = strrpos($still, '/');
  $still = substr( $still, $s_pos+1 );
  $still = "contents/".rawurlencode($still);
  $cat     = $row[5];
  $latest_media_cat = $row[5];
  $sinopsi = "<div align=justify>".nl2br($row[6])."</div>";
  $author = "<div align=justify>".nl2br($row[7])."</div>";
  $credits = "<div align=justify>".nl2br($row[8])."</div>";
  $latest_media_auth= $row[7];
  $latest_media_keys= $row[9];
  $videoformat= $row[10];
  $viewed= $row[11];
  $downloads= $row[12];
  
  $emited = explode(' ',$emited);
  $data = explode('-',$emited[0]);
  $data = $data[2]."-".$data[1]."-".$data[0];
  $hora = substr($emited[1],0,5);
  
  $fhosts = explode('/', $config['siteurl'] );
  $host = $fhosts[2];
  $hip = gethostbyname($host);
  $siteurlip = spreg_replace( $host, $hip, $config['siteurl']);

  $fduration=$row[13];
  if ( $fduration==0 )
  {
     $durcommand=$config['rootdir']."get-duration.pl \"".$config['upload_dir']."/".$pfilename."\"";
     $ad = array();
     exec( $durcommand, $ad );
     $fduration=htmlentities($ad[0]);
     if ( $fduration == "" ) $fduration = 0;

     $isencodingcommand=$config['rootdir']."is-encoding.pl";
     $ad = array();
     exec( $isencodingcommand, $ad );
     $isencoding=htmlentities($ad[0]);

     if ($isencoding==0) // update the duration
     {
        $queryDUR="UPDATE media SET playtime_seconds=".$fduration." WHERE ID=".$ID.";";
        db_query($queryDUR);
     }
  }

  // setting the right parameters for javasctipt
  // !! they are different that the HTML ones
  // so all variables begin with a j
  $jtitol   = ucfirst((stripslashes($row[0])));
  $jtitol = spreg_replace("\"","&quot;",$jtitol);
  $jtitol = spreg_replace("\'","\\'",$jtitol);
  if ($row[5]=="img") $jstill = $row[1]."-thumb.jpg";
  else
  {
       $jstill = spreg_replace("\'","\\'",$row[4]);
       $s_pos = strrpos($jstill, '/');
       $jstill = substr( $jstill, $s_pos+1 );
       $jstill = "contents/".$jstill;
  }
  $url = spreg_replace("\'","\\'",$url);
  $jfilename = $url;
  $murl = spreg_replace("\'","\\'",$murl);
  $mfilename = $murl;
  $jdate = $row[3];
  $jdate = explode(' ',$jdate);
  $jdate = explode('-',$jdate[0]);
  $jdate = $jdate[2]."-".$jdate[1]."-".$jdate[0];
  $jcat  = $row[5];
  $jcat = spreg_replace("\"","&quot;",$jcat);
  $jcat = spreg_replace("\'","\\'",$jcat);
  $jsinopsi = spreg_replace("\"","&quot;",$row[6]);
  $jsinopsi = spreg_replace("\'","\\'",$jsinopsi);
  $jsinopsi = spreg_replace("\n","<br>",$jsinopsi);
  $jsinopsi = spreg_replace("\r","",$jsinopsi);
  $jauth    = $row[7];
  $jauth = spreg_replace("\'","\\'",$jauth);
  $jkeywords = spreg_replace("\n","<br>",$row[9]);
  $jkeywords = spreg_replace("\r","",$jkeywords);
  $jkeywords = spreg_replace("\"","&quot;",$jkeywords);
  $jkeywords = spreg_replace("\'","\\'",$jkeywords);
  $jcredits = spreg_replace("\n","<br>",$row[8]);
  $jcredits = spreg_replace("\r","",$jcredits);
  $jcredits = spreg_replace("\"","&quot;",$jcredits);
  $jcredits = spreg_replace("\'","\\'",$jcredits);
  $jvideoformat = $row[10];
  $jviewed = $row[11];
  $jdownloads = $row[12];
  echo "
          <script>
          nbVideos=1;
	  curVideo=0;
	  vurls=new Array(1);
	  vurls[0]='$jfilename';
	  vmp4s=new Array(1);
	  vmp4s[0]='$mfilename';
	  vids=new Array(1);
	  vids[0]=$ID;
	  vtitles=new Array(1);
	  vtitles[0]='$jtitol';
	  vdates=new Array(1);
	  vdates[0]='$jdate';
	  vcats=new Array(1);
	  vcats[0]='$jcat';
	  vsinopsis=new Array(1);
	  vsinopsis[0]='$jsinopsi';
	  vauthors=new Array(1);
	  vauthors[0]='$jauth';
	  vdurations=new Array(1);
	  vdurations[0]=$fduration;
	  vvideoformats=new Array(1);
	  vvideoformats[0]='$jvideoformat';
	  vstills=new Array(1);
	  vstills[0]='".$config['siteurl']."$jstill';
	  vcredits=new Array(1);
	  vcredits[0]='$jcredits';
	  vkeywords=new Array(1);
	  vkeywords[0]='$jkeywords';
	  vremotes=new Array(1);
	  vremotes[0]=0;
	  width=$block_width;
          </script>
	  ";

  echo "
        <table width=".($block_width)." border=0 cellpadding=0 cellspacing=0 align=$align>
        <tr><td valign=top id='player-zone'>
        </td></tr>
        <tr><td height=3><table width='".($block_width)."' border=0 cellpadding=0 cellspacing=0>
        <tr><td colspan=2 height=3 align=center name='player_subtitle' id='player_subtitle'></td></tr>
        <tr><td align=left width='".($block_width/2)."'>
        <a class=content name='player_download_link' id='player_download_link' href=''></a>
        <a class=content name='player_quality_link' id='player_quality_link' href=''></a>
        <a id='player_fullscreen_link' class=content href=''></a>
        <a id='player_embed_link' class=content href=''></a>
        <a id='favlink' class=petitTexte href=''></a>
        </td>
        <td align=right valign=top width='".($block_width/2)."'>
        <span style='vertical-align:top;' id='ajax_subtitlelist'></span>
        <span style='vertical-align:top;' class=petitTexte id='player_subtitle_download'></span>
        </td></tr>
        <tr><td colspan=2 height=3 name='player_embed_paste' id='player_embed_paste'></td></tr>
        <tr><td colspan=2 height=3><img src=".$config['siteurl']."/img/transparent.gif height=3></td></tr>
        <tr><td colspan=2 id='player_title'>
        <span class=titolTextegris></span><br/><span class=petitTexte></span></td></tr>
        <tr><td colspan=2 align=justify><span class=petitTexte><span id='view_text'></span><span id='view_count'></span> <span id='view_times'></span></span>
        <tr><td colspan=2 align=justify><span class=petitTexte><span id='downloads_text'></span> <span id='downloads_count'></span> <span id='downloads_times'></span></span>
        <tr><td colspan=2 height=7><img src=".$config['siteurl']."/img/transparent.gif height=7></td></tr>
        <tr><td colspan=2 align=justify valign=top id='sinopsi' class=texte></td></tr>
        <tr><td colspan=2 align=justify valign=top class=texte></td></tr>
        <tr><td colspan=2 align=justify valign=top id='credits' class=petitTexte></td></tr>
        <tr><td colspan=2 align=justify valign=top class=texte></td></tr>
        </table>
        </table>";

  // play the first video
  if ( $ID != -1 )
  {
     echo "<script>
        document.onLoad=nextTrack(true,true);
	</script>";
  }
}
else
{
  echo "<span class=titolTextegris><b><font color=red>".$text['block_player_nomedia']."</font></b></span>";
}


if ( $standalone )
{
print "</body></html>\n";
}

?>
