<?php 
/*player.php - the full screen media player*/
include_once("./config.php");
include_once("./functions.php");
include_once("./js/dmmdb.php");
include_once("./language/".$config['language']."/main.php"); // this path works for me...

$ID=$_GET['ID'];
$mode=$_GET['mode'];
$subs=$_GET['subs'];
$hq=$_GET['hq'];
$baseurl=$_GET['baseurl'];
$fullscreen=$_GET['fullscreen'];
$autoplay=$_GET['autoplay'];
if ( $autoplay == 'y' )
{
   $hautoplay='autoplay';
   $fautoplay='0';
}
else
{
   $hautoplay='';
   $fautoplay='1';
}
?>

<html>
<head>

<style type="text/css">
#player_subtitle {
  position: absolute;
  width: 88%;
  height: 10%;
  left: 1%;
  text-align: center;
  bottom: 0;
  background-color: #ffffff;
  color: #000000;
}
#player-zone {
  position: absolute;
  top: 0px;
  left: 1%;
  width: 98%;
  height: 88%;
  background-color: #000000;
}
#ajax_subtitlelist {
  position: absolute;
  width: 10%;
  height: 10%;
  bottom: 0;
  right: 1%;
  background-color: #ffffff;
  color: #000000;
}
#audio-player {
  position: absolute;
  top: 95%;
  left: 1%;
  width: 98%;
  margin-left: auto;
  margin-right: auto;
  z-index: 100;
}
#audio-cursor {
  position: absolute;
  top: 0px;
  display: none;
  width: 2px;
  height: 95%;
  background-color: #ff0000;
}
#audio-time {
  position: absolute;
  top: 0px;
  display: none;
  height: 20px;
  width: 50px;
  text-size: 16px;
  color: #ff0000;
}
</style>

<script language='javascript' type='text/javascript' src='js/jquery.min.js'></script>
<script language='javascript' type='text/javascript'>

var orgsite='<?php print $config['siteurl'] ?>';
var preset_subtitles='<?php print $subs ?>';

function getVideoList( mode, ID, baseurl )
{
   if ( mode == 'playlist' )
   {
       vurl='<?php echo $config['siteurl'] ?>/proxy.php?proxy_url='+baseurl+'/getplaylist.php';
       params='name='+encodeURIComponent(ID);
   }
   else
   {
       vurl='<?php echo $config['siteurl'] ?>/proxy.php?proxy_url='+baseurl+'/getvideodata.php?baseurl='+encodeURIComponent(baseurl)+'|'+ID;
   }

   // getting playlist contents with ajax
   try
   {
      vrequest=new XMLHttpRequest();
   }
   catch (e)
   {
     try
     {
       vrequest=new ActiveXObject('Msxml2.XMLHTTP');
     }
     catch (e)
     {
       vrequest=new ActiveXObject('Microsoft.XMLHTTP');
     }
   }
   if ( vrequest != null )
   {
     try
     {
       vrequest.onreadystatechange=updateVideoList;
       // console.log( 'getting : ' + vurl );
       if ( mode == 'playlist' )
       {
         vrequest.open('POST',vurl,true);
         vrequest.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
         vrequest.setRequestHeader("Content-length", params.length);
         vrequest.setRequestHeader("Connection", "close");
         vrequest.send(params);
       }
       else
       {
         vrequest.open('GET',vurl,true);
         vrequest.send(null);
       }
     }
     catch (e)
     {
       // unable to call ajax function
       // alert ( "remote call forbidden" );
     }
   }
}

function updateVideoList()
{
   if(vrequest.readyState==4)
   {
      // console.log(vrequest.responseText);
      eval(vrequest.responseText);
      nextTrack(true, false);
   }
}

<?php
if ( $fullscreen == 'y' )
{
  echo "
      available_width = screen.availWidth;
      available_height = screen.availHeight-50;
  ";

  echo "
      try 
      {
         top.window.resizeTo(available_width, available_height);
      }
      catch (e) {
        try 
        {
         top.window.outerHeight = available_width;
         top.window.outerWidth = available_height;
        }
        catch (e) { }
      }
      console.log( available_width + 'x' + available_height );
      ";

}
else
{
  echo "
      if( typeof( window.innerWidth ) == 'number' ) {
          available_width = window.innerWidth;
          available_height = window.innerHeight;
      } else if( document.documentElement && ( document.documentElement.clientWidth || document.documentElement.clientHeight ) ) {
          available_width = document.documentElement.clientWidth;
          available_height = document.documentElement.clientHeight;
      } else if( document.body && ( document.body.clientWidth || document.body.clientHeight ) ) {
          available_width = document.body.clientWidth;
          available_height = document.body.clientHeight;
      }
      ";

}

?>

// width and height for playing video
var width = available_width;
var height = available_height;

console.log( width + 'x' + height );

</script>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
</head>

<body bgcolor=#000000>

<div id='player-zone'></div>
<div id='player_subtitle'></div>
<div style='vertical-align:top;' id='ajax_subtitlelist'></div>
<div style='vertical-align:top;display:none;' id='player_subtitle_download'></div>

</body>

<script language='javascript'>
$(document).ready( function(){
<?php
  print "   getVideoList('$mode','$ID','$baseurl');\n";
?>
});

</script>

</html>
