<?php 
/*activate_password.php - When a user asks for a new password the system 
  will send an email with a link to this script. This scripts use a form 
  to allow the user to change his passwd*/
include("config.php");
include("functions.php");
include("classes/access_user/access_user_class.php"); 
require($config['rootdir']."/language/".$config['language']."/main.php"); // this path works for me...

$act_password = new Access_user;

if (isset($_GET['activate']) && isset($_GET['id'])) { // this two variables are required for activating/updating the account/password
	if ($act_password->check_activation_password($_GET['activate'], $_GET['id'])) { // the activation/validation method 
		$_SESSION['activation'] = $_GET['activate']; // put the activation string into a session or into a hdden field
		$_SESSION['id'] = $_GET['id']; // this id is the key where the record have to be updated with new pw
	} 
}
if (isset($_POST['Submit'])) {
	if ($act_password->activate_new_password($_POST['password'], $_POST['password'], $_SESSION['activation'], $_SESSION['id'])) {
		unset($_SESSION['activation']);
		unset($_SESSION['id']);
	}
	$act_password->user = $_POST['user']; // to hold the user name in this screen (new in version > 1.77)
} 
$error = $act_password->the_msg;
?>

<html>
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link href="style/estilo-base.css" rel="stylesheet" type="text/css">
<link href="style/dmmdb05.css" rel="stylesheet" type="text/css">
<link href="style/dmmdb_content.css" rel="stylesheet" type="text/css">
</head>
<body>

<?php include ($config['rootdir'].'modules/index/block/header.php');?>

<table align=center width=900 cellpadding=0 cellspacing=0>
<tr><td  height=12 >
</td></tr>
</table>

<table align=center width=900 cellpadding=0 cellspacing=0>
<tr><td  height=12 class=petitTexte>
<?php if (isset($_SESSION['activation'])) { ?>
<h2><?php echo $text['change_pass']?></h2>
<p class=texte><?php echo $text['username']?> <b><?php echo $act_password->user; ?></b></p>
<form name="form1" method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>">
  <label for="password"><b>(<?php echo $text['new']?>)</b> <?php echo $text['password']?></label>
  <input type="password" name="password" value="<?php echo (isset($_POST['password'])) ? $_POST['password'] : ""; ?>">
  <input type="hidden" name="user" value="<?php echo $act_password->user; ?>"><br/>
  <input type="submit" name="Submit" value="<?php echo $text['send']; ?>">
</form>
<?php } else { ?>
<div style="color:#FF0000;"><b><h2>Att. !</h2><br/><br/><?php echo (isset($error)) ? $error : "&nbsp;"; ?></b></div>
<?php } ?>
</td></tr>
</table>
</body>
</html>
