<?php
/*functions.php - utility functions used allover*/
function db_query($query) {
	global $config;
	if ($query != "") {
		$link = mysqli_connect($config['dbhost'], $config['dbuser'], $config['dbpass'],$config['dbname']);
		if (!$link) {
		    echo "<hr><h2>if you are installing a new DMMDB use the <a href=install.php>install.php</a> help script</h2></hr>";
		    die('Could not connect: ' . mysqli_error($link));
		}
		$result = $link->query("SET NAMES utf8");
		$result = $link->query($query);
		if (!$result) {
		    die('Invalid query: ' . mysqli_error($link));
		} 
		mysqli_close($link);
		return($result); 
	}
}

function show_blocks($channel,$ID) {
        global $tip_bg,$tip_ln,$tip_tx;
	$result = db_query ("SELECT t1.colwidth FROM blocks as t1, users as t2 WHERE t1.hpos=1 AND t2.login = \"$channel\" AND t2.id = t1.user_id LIMIT 1;");
	$row = mysqli_fetch_row($result);
	$width1 = $row[0];
	$result = db_query ("SELECT t1.colwidth FROM blocks as t1, users as t2 WHERE t1.hpos=2 AND t2.login = \"$channel\" AND t2.id = t1.user_id LIMIT 1;");
	$row = mysqli_fetch_row($result);
	$width2 = $row[0];
	echo "\n\n \n<table cellpadding=0 cellspacing=0 align=center border=0 width=".($width1+$width2).">\n";

	echo "<tr><td width=$width1 valign=top>\n";
	echo "<table width=$width1 cellpadding=0 cellspacing=0><tr><td align=left valign=middle width=100%>\n";
	echo "<div id=searchdiv width=900 align=left></div>\n";
	echo "</td></tr></table>\n\n";

	$result = db_query ("SELECT t1.ID, t1.title, t1.module FROM blocks as t1, users as t2 WHERE t1.hpos=1 AND t1.active=1 AND t2.login = \"$channel\" AND t2.id = t1.user_id ORDER BY vpos;");
	
	$empty=0; //controla si un block esta buit no pintem el separador.
	while ($row = mysqli_fetch_row($result)) {
	
		$block_width  = $width1;
		$block_name   = $row[1];
		$bid	      = $row[0];
		$module       = $row[2];
		$align        = "left";

		echo "<table width=$block_width cellpadding=0 cellspacing=0><tr><td align=center valign=middle width=100%>\n";
		$block_width  = $width1-23;
		include ("./modules/".$module."/block/".$block_name.".php");
		echo "</td></tr></table>\n\n";

		if (!$empty) echo "<!-- inici separador -->\n<table width=$block_width height=23 cellpadding=0 cellspacing=0><tr><td align=center valign=middle width=100%></td></tr></table>\n<!--fi separador -->\n\n";
		$empty = 0;

	}

	echo "</td><td width=$width2 valign=top>\n";
	
	echo "<table width=$width2 cellpadding=0 cellspacing=0><tr><td align=center valign=middle width=100%>\n";
	echo "<div id=logindiv width=400 align=center></div>\n";
	echo "</td></tr></table>\n\n";

	$result = db_query ("SELECT t1.ID, t1.title, t1.module FROM blocks as t1, users as t2 WHERE t1.hpos=2 AND t1.active=1 AND t2.login = \"$channel\" AND t2.id = t1.user_id ORDER BY vpos;");
	
	$empty=0; //controla si un block esta buit no pintem el separador.
	while ($row = mysqli_fetch_row($result)) {
	
		$block_width  = $width2;
		$block_name   = $row[1];
		$bid	      = $row[0];
		$module       = $row[2];
		$align        = "right";

		echo "<table width=$block_width cellpadding=0 cellspacing=0 border=0><tr><td align=center valign=middle width=100%>\n";
		include ("./modules/".$module."/block/".$block_name.".php");
		echo "</td></tr></table>\n\n";

		// if (!$empty) echo "<!-- inici separador -->\n<table width=$block_width height=23 cellpadding=0 cellspacing=0><tr><td align=center valign=middle width=100%></td></tr></table>\n<!--fi separador -->\n\n";
		$empty=0;

	}

	echo "</td></tr></table>\n\n";
}


function ucfirstHTMLentity($matches){
        return "&".ucfirst(strtolower($matches[1])).";";
}

function fullUpper($str){
        $subject = strtoupper(htmlentities($str, null, 'UTF-8'));
	$pattern = '/&([A-Z]+);/';
	$subject =  spreg_replace($pattern, "ucfirstHTMLentity", $subject);
	$subject =  spreg_replace("&Rsquo;","'",$subject);
	return spreg_replace("&Middot;","·",$subject);
}


function cleanPronoms($str){
	/*TODO :: eliminem els pronoms d'una manera inteligent*/
	return $str;
}

function searchCreateWhere($str){
	// $str = strtolower($str);
	//if (/*hi ha + d'una paraula a la cerca*/)  $str = cleanPronoms($str);
	$words  = explode(" ",$str);
	$query  = "AND (0 ";
	foreach ($words as $word) $query .= "OR LOWER(title) LIKE LOWER(\"%$word%\") ";
	foreach ($words as $word) $query .= "OR LOWER(category) LIKE LOWER(\"%$word%\") ";
	foreach ($words as $word) $query .= "OR LOWER(sinopsi) LIKE LOWER(\"%$word%\") ";
	foreach ($words as $word) $query .= "OR LOWER(artist) LIKE LOWER(\"%$word%\") ";
	foreach ($words as $word) $query .= "OR LOWER(keywords) LIKE LOWER(\"%$word%\") ";
	$query  .= ") ";
	return $query;
}

function sortByFreq($result, $needles_orig) {
   $counter = 0;
   if (($needles_orig != "")&&($result!=NULL))
   {
	$needles = explode(" ",$needles_orig);
	while ($row = mysqli_fetch_row($result)) {
		$row[20]  = 0; // 1 if some needles found in 'title' or 'keywords' rows, 0 otherwise
		$row[21]  = 0; // num of the needles found in the haystack
		$row[22]  = 0; 	// frequency of the needles found. this will be ponderated by a factor of equilibration // 
				// for example if we are searching 3 needles and we have 2 records in which we founded all
				// of them. We must look at frequencies to know the order in terms of relevance of this two 
				// records, but imagine the sum of freqs if 67 in both records, but in one of them this sum 
				// spread like this :: 20+23+24 , and in the otherone like this 60+6+1. 
				// In this case, even if the second record has a sum of 68(60+7+1) we must give preference 
				// To the first record. The proposed way is like this :: 
				// foreach record take the biggest of the three freqs (freq[big]), (24 for the first record, 
				// and 60 for the second in our example)
				// assign to this freq a multiplier of 1. and for all other freqs (freq[n])
				// the multiplier will be a "regla de 3" like this :: 
				// multiplier[n] = freq[n]/freq[big]
				////////////
				// if we use this in our example we have:
				// 20*(20/24) + 23*(23/24) + 24 = 62.7
				// 60*(1) + 7*(7/60) + 1*(1/60) = 60.8
				// now we have a sum of freq wich depends on the equilibrio of the needle freqs and we can 
				// order our records with it.
		$haystack1 = $row[0]." ".$row[8]; //title + keywords //high priority
		$haystack2 = $row[7]; // sinopsi //less priority
		$needle_num=0;
		$needle_num_found=0;
		$needle_bigest=0;
		foreach ($needles as $needle) {
			$freq[$needle_num] = 0;
			$freq[$needle_num] = substr_count(strtolower($haystack1), strtolower($needle));
			if ($freq[$needle_num] > 0) $row[20]=1;
			else $row[20]=0;
			$freq[$needle_num] = $freq[$needle_num] + substr_count(strtolower($haystack2), strtolower($needle));
			if ($freq[$needle_num]>$needle_bigest) $needle_bigest = $needle_num;
			if ($freq[$needle_num]>0) $needle_num_found++;
			$needle_num++;
		}
		$freq_sum = 0;
		for ($i=0; $i<$needle_num; $i++){
			if (($i != $needle_bigest)&&($freq[$needle_bigest]!=0)) $freq[$i] = $freq[$i] / $freq[$needle_bigest];
			$freq_sum = $freq_sum + $freq[$i];
			// to show the freqs of each needle uncomment this line 
			//$row[0] = $row[0]." (".$freq[$i].") ";
		}
			// to show the calculated total freq uncomment this line 
			//$row[0] = $row[0]." (".$freq_sum.") ";
		$row[21] = $needle_num_found; // num of the needles found in the haystack
		$row[22] = $freq_sum; 	// frequency of the needles found.
		$resultArray[$counter] = $row;
		$counter++;
	}
	//We have an array of rows, but array_multisort() requires an array of columns.
	if (!empty($resultArray))
	{
	   foreach ($resultArray as $key => $row) {
    	      $priority[$key]  = $row[20];
    	      $num_needles[$key]  = $row[21];
    	      $freq_needles[$key] = $row[22];
	   }
	   // sort the array
	   array_multisort($priority, SORT_DESC, $num_needles, SORT_DESC, $freq_needles, SORT_DESC, $resultArray);
	}
   } else {
	while ($row = mysqli_fetch_row($result)) {
		$resultArray[$counter] = $row;
		$counter++;
	}
   }
   if (!empty($resultArray)) return $resultArray;
   else return null;
}

function sortByFreqAssoc($result, $needles_orig) {
   $counter = 0;
   if (($needles_orig != "")&&($result!=NULL))
   {
	$needles = explode(" ",$needles_orig);
	while ($row = mysqli_fetch_assoc($result)) {
		$row[20]  = 0; // 1 if some needles found in 'title' or 'keywords' rows, 0 otherwise
		$row[21]  = 0; // num of the needles found in the haystack
		$row[22]  = 0; 	// frequency of the needles found. this will be ponderated by a factor of equilibration // 
				// for example if we are searching 3 needles and we have 2 records in which we founded all
				// of them. We must look at frequencies to know the order in terms of relevance of this two 
				// records, but imagine the sum of freqs if 67 in both records, but in one of them this sum 
				// spread like this :: 20+23+24 , and in the otherone like this 60+6+1. 
				// In this case, even if the second record has a sum of 68(60+7+1) we must give preference 
				// To the first record. The proposed way is like this :: 
				// foreach record take the biggest of the three freqs (freq[big]), (24 for the first record, 
				// and 60 for the second in our example)
				// assign to this freq a multiplier of 1. and for all other freqs (freq[n])
				// the multiplier will be a "regla de 3" like this :: 
				// multiplier[n] = freq[n]/freq[big]
				////////////
				// if we use this in our example we have:
				// 20*(20/24) + 23*(23/24) + 24 = 62.7
				// 60*(1) + 7*(7/60) + 1*(1/60) = 60.8
				// now we have a sum of freq wich depends on the equilibrio of the needle freqs and we can 
				// order our records with it.
		$haystack1 = $row['title']." ".$row['keywords']." ".$row['artist']; //title + keywords //high priority
		$haystack2 = $row['sinopsi']; // sinopsi //less priority
		$needle_num=0;
		$needle_num_found=0;
		$needle_bigest=0;
		foreach ($needles as $needle) {
			$freq[$needle_num] = 0;
			$freq[$needle_num] = substr_count(strtolower($haystack1), strtolower($needle));
			if ($freq[$needle_num] > 0) $row[20]=1;
			else $row[20]=0;
			$freq[$needle_num] = $freq[$needle_num] + substr_count(strtolower($haystack2), strtolower($needle));
			if ($freq[$needle_num]>$needle_bigest) $needle_bigest = $needle_num;
			if ($freq[$needle_num]>0) $needle_num_found++;
			$needle_num++;
		}
		$freq_sum = 0;
		for ($i=0; $i<$needle_num; $i++){
			if (($i != $needle_bigest)&&($freq[$needle_bigest]!=0)) $freq[$i] = $freq[$i] / $freq[$needle_bigest];
			$freq_sum = $freq_sum + $freq[$i];
			// to show the freqs of each needle uncomment this line 
			//$row[0] = $row[0]." (".$freq[$i].") ";
		}
			// to show the calculated total freq uncomment this line 
			//$row[0] = $row[0]." (".$freq_sum.") ";
		$row[21] = $needle_num_found; // num of the needles found in the haystack
		$row[22] = $freq_sum; 	// frequency of the needles found.
		$resultArray[$counter] = $row;
		$counter++;
	}
	//We have an array of rows, but array_multisort() requires an array of columns.
	foreach ($resultArray as $key => $row) {
    		$priority[$key]  = $row[20];
    		$num_needles[$key]  = $row[21];
    		$freq_needles[$key] = $row[22];
	}
	// sort the array
	array_multisort($priority, SORT_DESC, $num_needles, SORT_DESC, $freq_needles, SORT_DESC, $resultArray);
   } else {
	while ($row = mysqli_fetch_assoc($result)) {
		$resultArray[$counter] = $row;
		$counter++;
	}
   }
   return $resultArray;
}

function sortArrayByDate($ArrOrig)
{
   // TODO :: nomes una paculiaritat es que els rouws han de tenir dues columnes mes, el servidor i el canal (per a poder fer els links i escriure-ho en els tooltips)
   $counter = 0;
   if ($ArrOrig!=NULL)
   {
	//We have an array of rows, but array_multisort() requires an array of columns.
	foreach ($ArrOrig as $key => $row) {
		$dates = explode ("-",$row[4]);
		$dates = $dates[2].$dates[1].$dates[0];
    		$date[$key]  = $dates;
	}
	// sort the array
	array_multisort($date, SORT_DESC, SORT_STRING, $ArrOrig);
   } 
   return $ArrOrig;
}

function sortArrayByFreq($ArrOrig)
{
   // TODO :: nomes una paculiaritat es que els rouws han de tenir dues columnes mes, el servidor i el canal (per a poder fer els links i escriure-ho en els tooltips)
   $counter = 0;
   if ($ArrOrig!=NULL)
   {
	//We have an array of rows, but array_multisort() requires an array of columns.
	foreach ($ArrOrig as $key => $row) {
    		$priority[$key]  = $row[10];
    		$num_needles[$key]  = $row[11];
    		$freq_needles[$key] = $row[12];
	}
	// sort the array
	array_multisort($priority, SORT_DESC, $num_needles, SORT_DESC, $freq_needles, SORT_DESC, $ArrOrig);
   } 
   return $ArrOrig;
}

function sortArrayAssocByFreq($ArrOrig)
{
   // TODO :: nomes una paculiaritat es que els rouws han de tenir dues columnes mes, el servidor i el canal (per a poder fer els links i escriure-ho en els tooltips)
   $counter = 0;
   if ($ArrOrig!=NULL)
   {
	//We have an array of rows, but array_multisort() requires an array of columns.
	foreach ($ArrOrig as $key => $row) {
    		$priority[$key]  = $row['search1'];
    		$num_needles[$key]  = $row['search2'];
    		$freq_needles[$key] = $row['search3'];
	}
	// sort the array
	array_multisort($priority, SORT_DESC, $num_needles, SORT_DESC, $freq_needles, SORT_DESC, $ArrOrig);
   } 
   return $ArrOrig;
}

function xml2rows($xml,&$ArrTotal,$start_at) {
     $num=-1;
     $open=0;
     while (@$xml->read()) {
	// error_log("add assoc #".$start_at." field: ".$xml->name );
        switch ($xml->name) {
        	case "item":
			if (!$open) {$num++;$open=1;}
			else $open=0;
			break;
        	case "title":
            		@$xml->read();
            		if ($open) $ArrTotal[$start_at+$num][0] = $xml->value;
            		@$xml->read();
            		break;
        	case "thumbnail":
            		@$xml->read();
            		if ($open) $ArrTotal[$start_at+$num][1] = $xml->value;
            		@$xml->read();
            		break;
        	case "ID":
            		@$xml->read();
            		if ($open) $ArrTotal[$start_at+$num][2] = $xml->value;
            		@$xml->read();
            		break;
        	case "link":
            		@$xml->read();
            		if ($open) $ArrTotal[$start_at+$num][3] = $xml->value;
            		@$xml->read();
            		break;
        	case "date":
            		@$xml->read();
            		if ($open) $ArrTotal[$start_at+$num][4] = $xml->value;
            		@$xml->read();
            		break;
        	case "category":
            		@$xml->read();
            		if ($open) $ArrTotal[$start_at+$num][5] = $xml->value;
            		@$xml->read();
            		break;
        	case "description":
            		@$xml->read();
            		if ($open) $ArrTotal[$start_at+$num][6] = $xml->value;
            		@$xml->read();
            		break;
        	case "author":
            		@$xml->read();
            		if ($open) $ArrTotal[$start_at+$num][7] = $xml->value;
            		@$xml->read();
            		break;
        	case "search1":
            		@$xml->read();
            		if ($open) $ArrTotal[$start_at+$num][10] = $xml->value;
            		@$xml->read();
            		break;
        	case "search2":
            		@$xml->read();
            		if ($open) $ArrTotal[$start_at+$num][11] = $xml->value;
            		@$xml->read();
            		break;
        	case "search3":
            		@$xml->read();
            		if ($open) $ArrTotal[$start_at+$num][12] = $xml->value;
            		@$xml->read();
            		break;
        	case "duration":
            		@$xml->read();
            		if ($open) $ArrTotal[$start_at+$num][13] = $xml->value;
            		@$xml->read();
            		break;
        	case "videoformat":
            		@$xml->read();
            		if ($open) $ArrTotal[$start_at+$num][14] = $xml->value;
            		@$xml->read();
            		break;
        	case "channel_name":
            		@$xml->read();
            		if ($open) $ArrTotal[$start_at+$num][15] = $xml->value;
            		@$xml->read();
            		break;
        	case "base_url":
            		@$xml->read();
            		if ($open) $ArrTotal[$start_at+$num][16] = $xml->value;
            		@$xml->read();
            		break;
        	case "keywords":
            		@$xml->read();
            		if ($open) $ArrTotal[$start_at+$num][17] = $xml->value;
            		@$xml->read();
            		break;
        	case "viewed":
            		@$xml->read();
            		if ($open) $ArrTotal[$start_at+$num][18] = $xml->value;
            		@$xml->read();
            		break;
        	case "credits":
            		@$xml->read();
            		if ($open) $ArrTotal[$start_at+$num][19] = $xml->value;
            		@$xml->read();
            		break;
        	case "mp4":
            		@$xml->read();
            		if ($open) $ArrTotal[$start_at+$num][20] = $xml->value;
            		@$xml->read();
            		break;
        }
    }
}

function xml2assoc($xml,&$row,$counter) {
     $num=-1;
     $open=0;
     while (@$xml->read()) {
	// error_log("add assoc #".$start_at." field: ".$xml->name );
        switch ($xml->name) {
        	case "item":
			if (!$open) {$num++;$open=1;}
			else $open=0;
			break;
        	case "title":
            		@$xml->read();
            		if ($open) $row[$counter+$num]['title'] = $xml->value;
            		@$xml->read();
            		break;
        	case "thumbnail":
            		@$xml->read();
            		if ($open) $row[$counter+$num]['framestill'] = $xml->value;
            		@$xml->read();
            		break;
        	case "ID":
            		@$xml->read();
            		if ($open) $row[$counter+$num]['ID'] = $xml->value;
            		@$xml->read();
            		break;
        	case "link":
            		@$xml->read();
            		if ($open) $row[$counter+$num]['filename'] = $xml->value;
            		@$xml->read();
            		break;
        	case "date":
            		@$xml->read();
            		if ($open) $row[$counter+$num]['published'] = $xml->value;
            		@$xml->read();
            		break;
        	case "category":
            		@$xml->read();
            		if ($open) $row[$counter+$num]['category'] = $xml->value;
            		@$xml->read();
            		break;
        	case "description":
            		@$xml->read();
            		if ($open) $row[$counter+$num]['sinopsi'] = $xml->value;
            		@$xml->read();
            		break;
        	case "author":
            		@$xml->read();
            		if ($open) $row[$counter+$num]['artist'] = $xml->value;
            		@$xml->read();
            		break;
        	case "duration":
            		@$xml->read();
            		if ($open) $row[$counter+$num]['duration'] = $xml->value;
            		@$xml->read();
            		break;
        	case "videoformat":
            		@$xml->read();
            		if ($open) $row[$counter+$num]['video_dataformat'] = $xml->value;
            		@$xml->read();
            		break;
        	case "channel_name":
            		@$xml->read();
            		if ($open) $row[$counter+$num]['channel'] = $xml->value;
            		@$xml->read();
            		break;
        	case "base_url":
            		@$xml->read();
            		if ($open) $row[$counter+$num]['base_url'] = $xml->value;
            		@$xml->read();
            		break;
        	case "keywords":
            		@$xml->read();
            		if ($open) $row[$counter+$num]['keywords'] = $xml->value;
            		@$xml->read();
            		break;
        	case "viewed":
            		@$xml->read();
            		if ($open) $row[$counter+$num]['viewed'] = $xml->value;
            		@$xml->read();
            		break;
        	case "credits":
            		@$xml->read();
            		if ($open) $row[$counter+$num]['credits'] = $xml->value;
            		@$xml->read();
            		break;
        	case "mp4":
            		@$xml->read();
            		if ($open) $row[$counter+$num]['mp4'] = $xml->value;
            		@$xml->read();
            		break;
        }
    }
}

function keywordsCreateWhere($str){
	//if (/*hi ha + d'una paraula a la cerca*/)  $str = cleanPronoms($str);
	$words  = explode(",",$str);
	$query  = "AND (0 ";
	foreach ($words as $word) $query .= "OR LOWER(keywords) LIKE LOWER(\"%$word%\") ";
	$query  .= ") ";
	return $query;
}

function sortKeysByFreq($result, $needles_orig) {
   $counter = 0;
   if (($needles_orig != "")&&($result!=NULL))
   {
	$needles = explode(",",$needles_orig);
	while ($row = mysqli_fetch_row($result)) {
		$row[10]  = 0; // num of the needles found in the haystack
		$haystack1 = $row[8]; // keywords 
		$needle_num=0;
		$needle_num_found=0;
		foreach ($needles as $needle) {
			//TODO :: mirar si hi han espais a principi i a final de cadena i eliminarlos
			$freq[$needle_num] = 0;
			if ( ( strlen($haystack1) > 0 ) && ( strlen($needle) > 0 ) )
			{
			  $freq[$needle_num] = substr_count(strtolower($haystack1), strtolower($needle));
			}
			if ($freq[$needle_num]>0) $needle_num_found++;
			$needle_num++;
		}
		$row[10] = $needle_num_found; // num of the needles found in the haystack
		$resultArray[$counter] = $row;
		$counter++;
	}
	//We have an array of rows, but array_multisort() requires an array of columns.
	foreach ($resultArray as $key => $row) {
    		$num_needles[$key]  = $row[10];
	}
	// sort the array
	array_multisort($num_needles, SORT_DESC, $resultArray);
   } else {
	while ($row = mysqli_fetch_row($result)) {
		$resultArray[$counter] = $row;
		$counter++;
	}
   }
   return $resultArray;
}

function filename_ol($filename, $extension)
{
   $d_pos=strrpos($filename, '.');
   $bfilename=substr($filename, 0, $d_pos );
   $bfilename=str_replace('-ol','',$bfilename);
   return $bfilename.'-ol.'.$extension;
}

function filename_dl($filename, $extension)
{
   $d_pos=strrpos($filename, '.');
   $bfilename=substr($filename, 0, $d_pos );
   $bfilename=str_replace('-ol','',$bfilename);
   return $bfilename.'-dl.'.$extension;
}

function spreg_replace($pat, $rep, $content)
{  
   return preg_replace( "~".$pat."~i", $rep, $content );
}

function checkLogin($login)
{
  if (preg_match("/[^a-z_\-0-9]/i", $login))
  {
        return FALSE;
  }
  if (strlen($login)<21){
        return TRUE;
  }else{
        return FALSE;
  }
}

?>
