<?php
require_once('vimeo-aapi.php');
include_once("../config.php");
require("../language/".$config['language']."/main.php");
include_once("../functions.php");
include_once("../modules/video/admin/reencode.php");

session_start();

$gquery=$_GET['query'];
$username=$_GET['user'];
$auto=$_GET['auto'];

if ( $gquery == '' || $username == '' )
{
  echo "<html><body><table border=2 style='color:red'><tr><td>no query or user found ... exiting</td></tr></table></body></html>";
  exit(-1);
}

// Create the object and enable caching
$vimeo = new phpVimeo('b80baab4a173cbb6d2b579f0a89886e8', '8e3bebc4e32a8004');

// Set up variables
$state = $_SESSION['vimeo_state'];
$request_token = $_SESSION['oauth_request_token'];
$access_token = $_SESSION['oauth_access_token'];

// Get a new request token
$token = $vimeo->getRequestToken();

// Store it in the session
$_SESSION['oauth_request_token'] = $token['oauth_token'];
$_SESSION['oauth_request_token_secret'] = $token['oauth_token_secret'];

$vimeo->setToken($_SESSION['oauth_access_token'], $_SESSION['oauth_access_token_secret']);

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
</head>
<body>

<?php

try {
      $videos = $vimeo->call('vimeo.videos.search', array('query' => $gquery) );
}
catch (VimeoAPIException $e) {
      echo "Encountered an API error -- code {$e->getCode()} - {$e->getMessage()}";
}

if ($videos) 
{

   echo "<table border=2 style='color:green'><tr><td>found ".$videos->videos->total." videos.</td></tr></table>";

   echo "<table border=2 style='color:green'>";

   $count=0;
   $nbpages = $videos->videos->total/50+1; 
   for ( $ipage=1; $ipage<=$nbpages; $ipage++ )
   {
      try {
        $videos = $vimeo->call('vimeo.videos.search', array('query' => $gquery, 'page' => $ipage) );
      }
      catch (VimeoAPIException $e) {
        echo "Encountered an API error -- code {$e->getCode()} - {$e->getMessage()}";
      }

      if ( count( $videos->videos->video ) > 0 )
      {

      foreach ( $videos->videos->video as $video )
      {
        $count++;
        $query="SELECT ID FROM media WHERE title='".$video->title."';";
        $resultVIM = db_query ($query);
        $nbresult = mysqli_num_rows($resultVIM);

        if ( $nbresult == 0 )
        {
          echo "<tr><td>".$count."</td><td>".$video->title."</td><td><a href='".$config['siteurl']."/import/importvimeo.php?ID=".$video->id."&user=".$username."'>Import video</a></td><td><a target='_blank' href='http://vimeo.com/".$video->id."'>View</a></td></tr>";
          if ( $auto == 'y' )
          {
             error_log("getting video : ".$video->id." for user : ".$username );
             $getcommand = "wget -O - --user telenoika --password telenoi ".$config['siteurl']."/import/importvimeo.php?ID=".$video->id."\\&user=".$username." 2>/dev/null";
             error_log( $getcommand  );
             $result = `$getcommand`;

             $queryVID = "SELECT ID FROM media WHERE filename=\"vimeo-".$username."-".$video->id.".mp4\"";
             $resultVID = db_query($queryVID);
             $rowVID = mysqli_fetch_row($resultVID);
             $VID=$rowVID[0];
             error_log( "reencoding ID : ".$VID );

             reencode( $VID, 'n' );
          }
        }

        if ( $nbresult == 1 )
        {
          echo "<tr><td>".$count."</td><td>".$video->title."</td><td><a href='".$config['siteurl']."/import/reimportvimeo.php?ID=".$video->id."&user=".$username."'>Reimport video</a></td><td><a target='_blank' href='http://vimeo.com/".$video->id."'>View</a></td></tr>";
        }
      }

      }
   }


echo "</table>";

echo "</body>";
echo "</html>";

}

?>

</body>
</html>
