<?php 
/*register.php - shows the user registration form.*/
include("config.php");
include("functions.php");
include("classes/access_user/access_user_class.php"); 
require($config['rootdir']."/language/".$config['language']."/main.php"); // this path works for me...

$new_member = new Access_user;

if (isset($_POST['Submit'])) {
   if (!checkLogin($_POST['login']))
   {
      $error="Invalid login name! It must be alpha-numerical, dashed or hyphened and at most 20 characters";
   }
   else
   {
      $new_member->register_user($_POST['login'], $_POST['password'], $_POST['password'], $_POST['login'], '', $_POST['email']);
      $error = $new_member->the_msg; // error message
   }
} 

?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title></title>
<link href="style/dmmdb05.css" rel="stylesheet" type="text/css">
<link href="style/dmmdb_content.css" rel="stylesheet" type="text/css">

<script>
	var divElement = parent.document.getElementById('logindiv');
	if (divElement != null)
	{
	   divElement.height=150;
	}
</script>

</head>

<body class=main>
<form name="form1" method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>">
  <table width=100% class=texte cellpadding=0 cellspacing=0 border=0>
  	<tr>
	  <td colspan=2 height=3><img src=img/transparent.gif height=3 border=0></td>
	</tr>
  	<tr>
	  <td colspan=2 height=3 align=center>
	  <?php echo (isset($error)) ? "<span class=\"texte\"><font color=red><b>".$error."</b></font><br>&nbsp; " : "<span class=texte><b>".$text['register_msg']."</b></span>"; ?> 
	  </td>
	</tr>
	<?php if ($error != $new_member->messages(13)) { ?>
  	<tr>
	  <td colspan=2 height=3><img src=img/transparent.gif height=3 border=0></td>
	</tr>
  	<tr>
	  <td align=left><span class="texte"><label for="login"><?php echo $text['username'] ?></label></td>
	  <td align=right><input class="forma" type="text" name="login" size="17" value="<?php echo (isset($_POST['login'])) ? $_POST['login'] : $my_access->user; ?>"></td>
	</tr>
  	<tr>
		<td colspan=3 height=3><img src=img/transparent.gif height=3 border=0></td>
	</tr>
	<tr>
  	  <td align=left><span class="texte"><label for="password"><?php echo $text['password'] ?></label></td> 
	  <td align=right><input class="forma" type="password" name="password" size="8" value="<?php echo (isset($_POST['password'])) ? $_POST['password'] : $my_access->user_pw; ?>"></td>
	</tr>
  	<tr>
	  <td colspan=3 height=3><img src=img/transparent.gif height=3 border=0></td>
	</tr>
  	<tr>
	  <td align=left><span class="texte"><label for="email"><?php echo $text['email'] ?></label></td>
	  <td align=right><input type="text" class="forma" name="email" size="17" value="<?php echo (isset($_POST['email'])) ? $_POST['email'] : ""; ?>"></span></td>
	</tr>
  	<tr>
	  <td colspan=2 height=3><img src=img/transparent.gif height=3 border=0></td>
	</tr>
  	<tr>
  	  <td colspan=2 align=center><input class="forma" type="submit" name="Submit" value="<?php echo $text['register']?>"></td>
	</tr>
	<?php } else { ?>
	<script>
	var divElement = parent.document.getElementById('logindiv');
	if (divElement != null)
	{
		divElement.height=23;
	}
</script>
	<?php } ?>
</table>
</form>
</body>
</html>
