<?php
include("config.php");
include("functions.php");

// Header para escribir XML
header('Content-type: text/xml; charset="utf-8"', true);
       
echo "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n";
echo '<rss version="0.92">
           <channel>
                <title>RSS mediafeed</title>
                <link>'.$config['siteurl'].'</link>
                <description></description> 
                <language>'.$config['language'].'</language>
                <managingEditor>'.$config['webmastermail'].'</managingEditor>
                <webMaster>'.$config['webmastermail'].'</webMaster>';

if (!empty($_GET['search'])) 
{
   $locsearch=$_GET['search'];
   $SearchWhere = searchCreateWhere($locsearch);
}
else
{
   $locsearch='*';
   $SearchWhere = "";
}

if (!empty($_GET['author'])) $SearchWhere .= " AND LOWER(artist) LIKE \"%".strtolower($_GET['author'])."%\" ";
if (!empty($_GET['cat'])) $SearchWhere .= " AND LOWER(category) LIKE \"%".strtolower($_GET['cat'])."%\" ";
if (!empty($_GET['keywords'])) $SearchWhere .= keywordsCreateWhere($_GET['keywords']);;
if (!empty($_GET['limit'])) $SearchLimit = " LIMIT ".$_GET['limit'];
else $SearchLimit = "";
if (!empty($_GET['ID']))
{
  $SearchWhere = $SearchWhere." AND ID=".$_GET['ID'];
}

if (!empty($_GET['channel'])) $channel = $_GET['channel'];
else $channel = '%';

$queryLR="SELECT title, framestill, ID, filename, emited, category, sinopsi, artist, keywords, video_dataformat, channel, viewed, credits, playtime_seconds FROM media WHERE channel LIKE \"$channel\" $SearchWhere ORDER BY published DESC $SearchLimit;";
$resultLR = db_query($queryLR);
$ArrTotal = sortByFreq($resultLR,$locsearch);
if (!empty($ArrTotal) ) foreach ($ArrTotal as $row) {
        // don't trust htmlentities!!
	$titol = spreg_replace( "&", "&amp;", $row[0]);
	$titol = spreg_replace( "<", "&lt;", $titol);
	$titol = spreg_replace( ">", "&gt;", $titol);
	$titolcomplert = $titol;
	$still = spreg_replace( "&", "&amp;", $row[1]);
	$still = spreg_replace( "<", "&lt;", $still);
	$still = spreg_replace( ">", "&gt;", $still);
	$ID      = $row[2];

        if ( file_exists( $config['upload_dir'].filename_ol($row[3], 'ogg') ) )
        {
           $pfilename = filename_ol($row[3], 'ogg');
        }
        else if ( file_exists( $config['upload_dir'].filename_ol($row[3], 'flv') ) )
        {
           $pfilename = filename_ol($row[3], 'flv');
        }
        else if ( file_exists( $config['upload_dir'].filename_ol($row[3], 'webm') ) )
        {
           $pfilename = filename_ol($row[3], 'webm');
        }
        if ( file_exists( $config['upload_dir'].filename_ol($row[3], 'mp4') ) )
        {
           $mfilename = filename_ol($row[3], 'mp4');
        }
        else
        {
           $mfilename = '';
        }

	$filename = spreg_replace( "&", "&amp;", $pfilename);
	$filename = spreg_replace( "<", "&lt;", $filename);
	$filename = spreg_replace( ">", "&gt;", $filename);

	$date = $row[4];
	$date = explode(' ',$date);
	$date = explode('-',$date[0]);
	$date = $date[2]."-".$date[1]."-".$date[0];
	$cat = spreg_replace( "&", "&amp;", $row[5]);
	$cat = spreg_replace( "<", "&lt;", $cat);
	$cat = spreg_replace( ">", "&gt;", $cat);
	$sinopsi = spreg_replace( "&", "&amp;", $row[6]);
	$sinopsi = spreg_replace( "<", "&lt;", $sinopsi);
	$sinopsi = spreg_replace( ">", "&gt;", $sinopsi);
	$auth = spreg_replace( "&", "&amp;", $row[7]);
	$auth = spreg_replace( "<", "&lt;", $auth);
	$auth = spreg_replace( ">", "&gt;", $auth);
	$keywords = spreg_replace( "&", "&amp;", $row[8]);
	$keywords = spreg_replace( "<", "&lt;", $keywords);
	$keywords = spreg_replace( ">", "&gt;", $keywords);
	$channel_name = spreg_replace( "&", "&amp;", $row[10]);
	$channel_name = spreg_replace( "<", "&lt;", $channel_name);
	$channel_name = spreg_replace( ">", "&gt;", $channel_name);
	$videoformat = $row[9];
	$viewed = $row[11];
	$credits = spreg_replace( "&", "&amp;", $row[12]);
	$credits = spreg_replace( "<", "&lt;", $credits);
	$credits = spreg_replace( ">", "&gt;", $credits);

        $fduration=$row[13];
	if ( $fduration==0 )
	{
            $durcommand=$config['rootdir']."get-duration.pl \"".$config['upload_dir']."/".$pfilename."\"";
            $ad = array();
            exec( $durcommand, $ad );
            $fduration=htmlentities($ad[0]);
            if ( $fduration == "" ) $fduration = 0;

	    $isencodingcommand=$config['rootdir']."is-encoding.pl";
            $ad = array();
            exec( $isencodingcommand, $ad );
            $isencoding=htmlentities($ad[0]);

	    if ($isencoding==0) // update the duration
	    {
               $queryDUR="UPDATE media SET playtime_seconds=".$fduration." WHERE ID=".$ID.";";
               db_query($queryDUR);
	    }
        }

	echo "
                <item>
                      <ID>$ID</ID>
                      <title>$titolcomplert</title>
                      <link>".$config['siteurl']."/contents/$filename</link>
		      <base_url>".$config['siteurl']."</base_url>
                      <channel_name>$channel_name</channel_name>
                      <date>$date</date>
                      <category>$cat</category>
                      <description>$sinopsi</description>
                      <author>$auth</author>
                      <keywords>$keywords</keywords>
                      <duration>$fduration</duration>
                      <thumbnail>".$config['siteurl']."$still</thumbnail>
                      <viewed>$viewed</viewed>
                      <credits>$credits</credits>
                      <videoformat>$videoformat</videoformat>";
if (!empty($_GET['search'])) echo "
                      <search1>$row[10]</search1>
                      <search2>$row[11]</search2>
                      <search3>$credits</search3>";

echo "
                      <mp4>".$config['siteurl']."/contents/$mfilename</mp4>
                </item>";

}

echo '
           </channel>
</rss>';
?>

