-- MySQL dump 10.13  Distrib 5.7.30, for Linux (x86_64)
--
-- Host: localhost    Database: dmmdb
-- ------------------------------------------------------
-- Server version	5.7.30-0ubuntu0.18.04.1

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `blocks`
--

DROP TABLE IF EXISTS `blocks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blocks` (
  `ID` int(4) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(256) COLLATE utf8_bin NOT NULL DEFAULT '',
  `module` varchar(255) COLLATE utf8_bin NOT NULL DEFAULT '',
  `hpos` int(1) unsigned NOT NULL DEFAULT '0',
  `vpos` int(1) unsigned NOT NULL DEFAULT '0',
  `colwidth` int(3) NOT NULL DEFAULT '0',
  `colheight` int(3) NOT NULL DEFAULT '0',
  `active` int(1) NOT NULL DEFAULT '0',
  `user_id` int(4) unsigned NOT NULL DEFAULT '0',
  `content` varchar(1024) COLLATE utf8_bin DEFAULT NULL,
  UNIQUE KEY `ID` (`ID`,`title`)
) ENGINE=MyISAM AUTO_INCREMENT=10805 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `favorites`
--

DROP TABLE IF EXISTS `favorites`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `favorites` (
  `ID` int(4) unsigned NOT NULL AUTO_INCREMENT,
  `channel` varchar(256) COLLATE utf8_bin NOT NULL DEFAULT '',
  `base_url` varchar(256) COLLATE utf8_bin NOT NULL DEFAULT '',
  `media_id` int(4) NOT NULL DEFAULT '0',
  `votes` int(4) NOT NULL DEFAULT '0',
  UNIQUE KEY `ID` (`ID`)
) ENGINE=MyISAM AUTO_INCREMENT=454 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `media`
--

DROP TABLE IF EXISTS `media`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `media` (
  `ID` int(4) NOT NULL AUTO_INCREMENT,
  `filename` varchar(255) COLLATE utf8_bin NOT NULL DEFAULT '',
  `framestill` varchar(1024) COLLATE utf8_bin NOT NULL DEFAULT '',
  `artist` varchar(255) COLLATE utf8_bin NOT NULL DEFAULT '',
  `title` varchar(255) COLLATE utf8_bin NOT NULL DEFAULT '',
  `date` datetime DEFAULT NULL,
  `location` varchar(255) COLLATE utf8_bin NOT NULL DEFAULT '',
  `organization` varchar(255) COLLATE utf8_bin NOT NULL DEFAULT '',
  `copyright` varchar(255) COLLATE utf8_bin NOT NULL DEFAULT '',
  `license` varchar(255) COLLATE utf8_bin NOT NULL DEFAULT '',
  `published` datetime DEFAULT NULL,
  `emited` datetime DEFAULT NULL,
  `modified` datetime DEFAULT NULL,
  `filesize` int(10) NOT NULL DEFAULT '0',
  `fileformat` varchar(20) COLLATE utf8_bin NOT NULL DEFAULT '',
  `audio_dataformat` varchar(20) COLLATE utf8_bin NOT NULL DEFAULT '',
  `video_dataformat` varchar(20) COLLATE utf8_bin NOT NULL DEFAULT '',
  `audio_bitrate` int(3) NOT NULL DEFAULT '0',
  `video_bitrate` int(3) NOT NULL DEFAULT '0',
  `playtime_seconds` int(5) NOT NULL DEFAULT '0',
  `keywords` text COLLATE utf8_bin NOT NULL,
  `category` varchar(255) COLLATE utf8_bin NOT NULL DEFAULT '',
  `subtitle` varchar(255) COLLATE utf8_bin NOT NULL DEFAULT '',
  `sinopsi` text COLLATE utf8_bin NOT NULL,
  `credits` text COLLATE utf8_bin NOT NULL,
  `moderated` int(1) NOT NULL DEFAULT '0',
  `channel` varchar(255) COLLATE utf8_bin DEFAULT '',
  `viewed` int(10) NOT NULL DEFAULT '0',
  `downloads` int(10) NOT NULL DEFAULT '0',
  UNIQUE KEY `ID` (`ID`)
) ENGINE=MyISAM AUTO_INCREMENT=2301 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `media_forum`
--

DROP TABLE IF EXISTS `media_forum`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `media_forum` (
  `ID` int(4) NOT NULL AUTO_INCREMENT,
  `media_id` int(4) NOT NULL DEFAULT '0',
  `date` datetime DEFAULT NULL,
  `author` varchar(255) COLLATE utf8_bin NOT NULL DEFAULT '',
  `title` varchar(255) COLLATE utf8_bin NOT NULL DEFAULT '',
  `message` text COLLATE utf8_bin NOT NULL,
  `votes` int(2) NOT NULL DEFAULT '0',
  `moderated` int(1) NOT NULL DEFAULT '0',
  UNIQUE KEY `ID` (`ID`)
) ENGINE=MyISAM AUTO_INCREMENT=699 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `playlist`
--

DROP TABLE IF EXISTS `playlist`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `playlist` (
  `ID` int(4) unsigned NOT NULL AUTO_INCREMENT,
  `channel` varchar(256) COLLATE utf8_bin NOT NULL DEFAULT '',
  `name` text COLLATE utf8_bin NOT NULL,
  `base_url` varchar(256) COLLATE utf8_bin NOT NULL DEFAULT '',
  `media_id` int(4) NOT NULL DEFAULT '0',
  UNIQUE KEY `ID` (`ID`)
) ENGINE=MyISAM AUTO_INCREMENT=836 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `subtitles`
--

DROP TABLE IF EXISTS `subtitles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `subtitles` (
  `ID` int(32) unsigned NOT NULL AUTO_INCREMENT,
  `name` text COLLATE utf8_bin NOT NULL,
  `media_id` int(32) NOT NULL DEFAULT '0',
  `starttime` float NOT NULL DEFAULT '-1',
  `endtime` float NOT NULL DEFAULT '-1',
  `text` text COLLATE utf8_bin NOT NULL,
  UNIQUE KEY `ID` (`ID`)
) ENGINE=MyISAM AUTO_INCREMENT=895 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `login` varchar(25) COLLATE utf8_bin NOT NULL DEFAULT '',
  `pw` varchar(32) COLLATE utf8_bin NOT NULL DEFAULT '',
  `real_name` varchar(32) COLLATE utf8_bin NOT NULL DEFAULT '',
  `extra_info` varchar(1024) COLLATE utf8_bin DEFAULT NULL,
  `email` varchar(50) COLLATE utf8_bin NOT NULL DEFAULT '',
  `tmp_mail` varchar(50) COLLATE utf8_bin NOT NULL DEFAULT '',
  `access_level` tinyint(4) NOT NULL DEFAULT '0',
  `active` enum('y','n') COLLATE utf8_bin NOT NULL DEFAULT 'n',
  `show_options` enum('y','n') COLLATE utf8_bin NOT NULL DEFAULT 'n',
  `encode_ogg` enum('y','n') COLLATE utf8_bin NOT NULL DEFAULT 'y',
  `aspect_ogg_lq` varchar(10) COLLATE utf8_bin NOT NULL DEFAULT '4:3',
  `rate_ogg_lq` int(32) NOT NULL DEFAULT '7',
  `vqual_ogg_lq` int(32) NOT NULL DEFAULT '3',
  `arate_ogg_lq` int(32) NOT NULL DEFAULT '22050',
  `achan_ogg_lq` int(32) NOT NULL DEFAULT '1',
  `aqual_ogg_lq` int(32) NOT NULL DEFAULT '3',
  `width_ogg_hq` int(32) NOT NULL DEFAULT '640',
  `aspect_ogg_hq` varchar(10) COLLATE utf8_bin NOT NULL DEFAULT '4:3',
  `rate_ogg_hq` int(32) NOT NULL DEFAULT '25',
  `vqual_ogg_hq` int(32) NOT NULL DEFAULT '5',
  `arate_ogg_hq` int(32) NOT NULL DEFAULT '44100',
  `achan_ogg_hq` int(32) NOT NULL DEFAULT '2',
  `aqual_ogg_hq` int(32) NOT NULL DEFAULT '5',
  `encode_mp4` enum('y','n') COLLATE utf8_bin NOT NULL DEFAULT 'n',
  `aspect_mp4_lq` varchar(10) COLLATE utf8_bin NOT NULL DEFAULT '4:3',
  `rate_mp4_lq` int(32) NOT NULL DEFAULT '7',
  `arate_mp4_lq` int(32) NOT NULL DEFAULT '22050',
  `achan_mp4_lq` int(32) NOT NULL DEFAULT '1',
  `width_mp4_hq` int(32) NOT NULL DEFAULT '640',
  `aspect_mp4_hq` varchar(10) COLLATE utf8_bin NOT NULL DEFAULT '4:3',
  `rate_mp4_hq` int(32) NOT NULL DEFAULT '25',
  `arate_mp4_hq` int(32) NOT NULL DEFAULT '44100',
  `achan_mp4_hq` int(32) NOT NULL DEFAULT '2',
  `width_mp4_lq` int(32) NOT NULL DEFAULT '320',
  `width_ogg_lq` int(32) NOT NULL DEFAULT '320',
  `bitrate_mp4_lq` int(32) NOT NULL DEFAULT '200000',
  `bitrate_mp4_hq` int(32) NOT NULL DEFAULT '400000',
  PRIMARY KEY (`id`),
  UNIQUE KEY `user` (`login`)
) ENGINE=MyISAM AUTO_INCREMENT=909 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2020-07-26 15:02:34
